%define upstream_name    Carp-Clan-Share
%define upstream_version 0.013

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Share your Carp::Clan settings with your whole Clan
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Carp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This is a very lightweight helper module (actually just an import method)
that will automagically create a __PACKAGE__::Carp module for you.

Any arguments passed to the import (e.g. via use) method are forwarded
along to Carp::Clan.

NOTE: If you use this from a package ending with ::Carp, then it will use
the parent of of that package as the target namespace

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.13.0-13.mga10
+ Revision: 2203434
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.13.0-12.mga9
+ Revision: 1808352
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.13.0-11.mga8
+ Revision: 1503507
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.13.0-10.mga7
+ Revision: 1281962
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.13.0-9.mga7
+ Revision: 1163256
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.13.0-8.mga7
+ Revision: 1158744
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.13.0-7.mga6
+ Revision: 1022839
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.13.0-6.mga6
+ Revision: 936761
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.13.0-5.mga5
+ Revision: 749805
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.13.0-4.mga5
+ Revision: 683746
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.13.0-3.mga4
+ Revision: 509643
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 363812
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.13.0-1.mga1
+ Revision: 23820
- cleaning spec file
- imported package perl-Carp-Clan-Share

